AV1EncAllIntraMultiThreadInfo Struct Reference

Encoder data related to multi-threading for allintra deltaq-mode=3. More...

`#include <encoder.h>`

## Data Fields

pthread_mutex_t * | mutex_
pthread_cond_t * | cond_
Row synchronization related function pointers for all intra mode
void(* | intra_sync_read_ptr )(AV1EncRowMultiThreadSync *const, int, int)
void(* | intra_sync_write_ptr )(AV1EncRowMultiThreadSync *const, int, int, int)

## Detailed Description

Encoder data related to multi-threading for allintra deltaq-mode=3.

## Field Documentation

## mutex_

pthread_mutex_t* AV1EncAllIntraMultiThreadInfo::mutex_

Mutex lock used while dispatching jobs.

## cond_

pthread_cond_t* AV1EncAllIntraMultiThreadInfo::cond_

Condition variable used to dispatch loopfilter jobs.

## intra_sync_read_ptr

void(* AV1EncAllIntraMultiThreadInfo::intra_sync_read_ptr) (AV1EncRowMultiThreadSync *const, int, int)

Reader.

## intra_sync_write_ptr

void(* AV1EncAllIntraMultiThreadInfo::intra_sync_write_ptr) (AV1EncRowMultiThreadSync *const, int, int, int)

Writer.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h